LinuxQuestions.org
Visit Jeremy's Blog.
Go Back   LinuxQuestions.org > Forums > Linux Forums > Linux - Newbie
User Name
Password
Linux - Newbie This Linux forum is for members that are new to Linux.
Just starting out and have a question? If it is not in the man pages or the how-to's this is the place!

Notices


Reply
  Search this Thread
Old 09-10-2007, 09:32 AM   #1
Guess
LQ Newbie
 
Registered: Sep 2007
Posts: 10

Rep: Reputation: 0
package installed, but not installed


Cenots 4.5 on vmware server. Host is windows XP.

trying to install oracle's ocfs2 file system for use with Oracle RAC.

I put the .done on the end. It says they are not installed, but I try to install at the bottom and it says it is already installed. ocfs2-tools is supposed to installed /etc/init.d/o2cb and it is not there.

??? When I downloaded I verified that I got the right version.
uname -r
2.6.9.55ELsmp

There were no "smp" files, so I just got files for: 2.6.9.55EL

root@owner-0d4d0311f ocfs2]# rpm -q ocfs2*
package ocfs2-2.6.9-55.EL-1.2.5-6.i686.rpm is not installed
package ocfs2-2.6.9-55.ELhugemem-1.2.5-6.i686.rpm is not installed
package ocfs2-2.6.9-55.ELsmp-1.2.5-6.i686.rpm.done is not installed
package ocfs2console-1.2.4-1.i386.rpm.done is not installed
package ocfs2-tools-1.2.4-1.i386.rpm.done is not installed
package ocfs2-tools-debuginfo-1.2.4-1.i386.rpm.done is not installed
package ocfs2-tools-devel-1.2.4-1.i386.rpm.done is not installed

However, when I do an install????

[root@owner-0d4d0311f ocfs2]# rpm -ivh ocfs2-2.6.9-55.EL-1.2.5-6.i686.rpm
Preparing... ########################################### [100%]
package ocfs2-2.6.9-55.EL-1.2.5-6 is already installed
 
Old 09-10-2007, 09:47 AM   #2
Guess
LQ Newbie
 
Registered: Sep 2007
Posts: 10

Original Poster
Rep: Reputation: 0
I tried yum

[root@owner-0d4d0311f ocfs2]# yum install ocfs2-tools-1.2.4-1.i386.rpm.done
Setting up Install Process
Setting up repositories
update 100% |=========================| 951 B 00:00
base 100% |=========================| 1.1 kB 00:00
addons 100% |=========================| 951 B 00:00
extras 100% |=========================| 1.1 kB 00:00
Reading repository metadata in from local files
Parsing package install arguments
No Match for argument: ocfs2-tools-1.2.4-1.i386.rpm.done
Nothing to do
 
Old 09-10-2007, 09:54 AM   #3
Guess
LQ Newbie
 
Registered: Sep 2007
Posts: 10

Original Poster
Rep: Reputation: 0
tried to upgrade:

[root@owner-0d4d0311f ocfs2]# rpm -U ocfs2-tools-1.2.4-1.i386.rpm.done
package ocfs2-tools-1.2.4-1 is already installed
 
  


Reply


Thread Tools Search this Thread
Search this Thread:

Advanced Search

Posting Rules
You may not post new threads
You may not post replies
You may not post attachments
You may not edit your posts

BB code is On
Smilies are On
[IMG] code is Off
HTML code is Off



Similar Threads
Thread Thread Starter Forum Replies Last Post
package xxx already installed / package xxx.rpm is not installed natv Linux - Software 2 03-20-2007 06:54 AM
RPM package manager says package needs to be installed. But I already installed it! nick623 Linux - Software 2 05-24-2005 03:15 AM
message "Problem during installation: x package needed for (installed) x package frayed2 Linux - Newbie 1 04-24-2005 08:05 PM
Does apt-get install <package> upgrade the package if it is already installed? davidas Debian 4 04-05-2004 07:12 PM
Once a package is installed, what to do? the_rydster Linux - Newbie 2 02-18-2004 10:29 AM

LinuxQuestions.org > Forums > Linux Forums > Linux - Newbie

All times are GMT -5. The time now is 11:40 PM.

Main Menu
Advertisement
My LQ
Write for LQ
LinuxQuestions.org is looking for people interested in writing Editorials, Articles, Reviews, and more. If you'd like to contribute content, let us know.
Main Menu
Syndicate
RSS1  Latest Threads
RSS1  LQ News
Twitter: @linuxquestions
Facebook: linuxquestions Google+: linuxquestions
Open Source Consulting | Domain Registration